Subject: Re: setup drops mount?
From: Earnie Boyd <[email-masked]>
To: DJ Delorie <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Mon, 13 Nov 2000 09:34:56 -0800 (PST)

--- DJ Delorie <[email-masked]> wrote:
> 
> > D:                  /var                system       binmode
> > 
> > the last entry is not there anymore when setup finishes.
> 
> There are certain key mounts that setup removes always, /var is one of
> them.  If you look in install.cc, you'll see the whole list:
> 
>   remove_mount ("/");
>   remove_mount ("/usr");
>   remove_mount ("/usr/bin");
>   remove_mount ("/usr/lib");
>   remove_mount ("/var");
>   remove_mount ("/lib");
>   remove_mount ("/bin");
>   remove_mount ("/etc");
> 
>   create_mount ("/", root_dir, istext, issystem);
>   create_mount ("/usr/bin", concat (root_dir, "/bin", 0), istext, issystem);
>   create_mount ("/usr/lib", concat (root_dir, "/lib", 0), istext, issystem);
> 
> This is done to ensure that the resulting setup works smoothly for all
> users.
> 

Should we now modify this to conditionally remove these based on whether the
installation is into a new root directory?  If I'm updating I would be very
upset to learn that my now mounted /bin directory had been removed.  I have it
mounted per CGF's suggestion for cygexec bit switch.

Cheers,

=====
Earnie Boyd
mailto:[email-masked]

---         <http://earniesystems.safeshopper.com>         ---
--- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
---   Minimalist GNU for Windows <http://www.mingw.org/>   ---

__________________________________________________
Do You Yahoo!?
Yahoo! Calendar - Get organized for the holidays!
http://calendar.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]